{ config, lib, ... }:
{
  collections.events.entry = { link, ... }: {
    title = "NixOS 24.11 ZHF hackathon";
    name = "zhf-24-11";
    description = "NixOS 24.11 ZHF hackathon in Zürich";
    start-date = "2024-11-23";
    end-date = "2024-11-24";
    start-time = "10:00";
    end-time = "17:00";
    location = "OST Campus Rapperswil";
    body = ''
      The biannual [Zürich NixOS ZHF hackathon](https://zurich.nix.ug/) has become somewhat of an institution for maintaining the tradition of preparing the upcoming NixOS release.

      The main goal of the two-day gathering is to bring down the number of build failures on the [continuous integration system Hydra](https://status.nixos.org/) before the release: ZHF stands for *Zero Hydra Failures*.
      It also presents a great opportunity to learn Nix, squash bugs together, get to know each other, discuss current events, and make plans for the future.

      This is the greatest event in the series so far, with more than 40 participants from all over Europe, including many high-profile contributors and maintainers in the Nix ecosystem.

      [Fediversity engineers attended](${link config.collections.news.by-name.zhf-24-11}) to present prototypes and exchange ideas with other developers.
    '';
  };
}
